/**
 *  Copyright 2011, Tobias Senger
 *  
 *  This file is part of animamea.
 *
 *  Animamea is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Animamea is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License   
 *  along with animamea.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.gematik.security.crypto;

/**
 * Specific exception for class AmCryptoProvider.
 *
 * @author Tobias Senger (tobias@t-senger.de)
 */
@SuppressWarnings("serial")
public class AmCryptoException extends Exception {

	public AmCryptoException() {
	}

	/**
	 * @param message
	 */
	public AmCryptoException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public AmCryptoException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public AmCryptoException(String message, Throwable cause) {
		super(message, cause);
	}

}
